Subject: Re: bug#14030: 24.3; expand-file-name expands remote file name on Windows incorrectly

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Mar 2013 21:23:12 +0200

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 24 Mar 2013 19:32:00 +0100
> 
> The problem seems to be, that defalias is evaled during
> byte-compilation. So I will revert the definition of
> tramp-drop-volume-letter, that is is decided at runtime how it is
> defined.

Thanks.  It's probably best to do this on the emacs-24 branch.

> What shall we do with Emacs 24.3 for MS Windows? I still believe, that
> we must repackage it, and compile tramp.el on MS Windows.

I agree (but I think it's tramp-sh.el that needs to be recompiled).
And people who build their own Emacs from sources should recompile
tramp-sh.el on Windows.

> Alternatively there could be an Emacs 24.3a with a changed tramp.el. But
> this sounds too heavy to me.

Agreed, I see no need for that.

Thanks.